<?php

namespace App\Exports;

use App\Models\CalibrationLabel;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithMapping;

class CalibrationLabelExport implements WithHeadings, WithMapping, FromCollection
{   
    public function headings(): array
    {
        return [
            '#',
            'Label Id',
            'Link',
        ];
    }

    public function collection()
    {
        return CalibrationLabel::all();
    }

    public function map($label) :array
    {
        return [
            $label->id,
            $label->label_id,
            route('pdf.showByLabel', ['label'=>$label->id]),
        ];
    }
}
