<?php

namespace App\Http\Controllers;

use App\Models\Instrument;
use App\Http\Requests\StoreInstrumentRequest;
use App\Http\Requests\UpdateInstrumentRequest;
use Auth;
class InstrumentController extends Controller
{
    public function index()
    {
        if(Auth::user()->can('basicoperation show')){

            $instruments = Instrument::all();
            return view('page.instrument.table', compact('instruments'));
        }else{
            abort(401);
        }
    }

    public function store()
    {
        return view('page.instrument.add');
    }

    public function storeProcess(StoreInstrumentRequest $request)
    {
        $request = $request->validated();

        $instrument = Instrument::firstOrCreate(['name'=>$request['name']], $request);
        toastr('Data Stored', 'success');
        return redirect()->route('admin_instrument_index');
    }

    public function update($id)
    {
        $instrument = Instrument::find($id);
        return view('page.master-testing.edit', compact('instrument'));
    }

    public function updateProcess(UpdateInstrumentRequest $request, $id)
    {
        $request = $request->validated();

        $instrument = Instrument::find($id);
        $instrument->name = $request['name'];
        if($instrument->update())
        {
            toastr('Data Updated', 'success');
            return redirect()->route('admin_instrument_index');
        }
    }

    public function delete($id)
    {
        Instrument::destroy($id);
        toastr('Deleted', 'success');
        return back();
    }
}
