<?php

namespace App\Http\Controllers;

use App\Models\MasterEquipment;

class MEExpireController extends Controller
{
    function index()
    {
        $masterEquipments = MasterEquipment::whereBetween('cal_due_date', [now()->startOfMonth()->format('Y-m-d'), now()->addMonth()->endOfMonth()->format('Y-m-d')])
        ->orWhereDate('cal_due_date', '<=', now()->format('Y-m-d'))
        ->get();

        // REMOVING RENEWED CERTIFICATES FROM COLLECTION
        $masterEquipments = $masterEquipments->reject(function($data) {
            return $data->renewed == 1;
        });

        return view('page.master-testing.expire-index', compact('masterEquipments'));
    }

    public function edit($meId)
    {
        $me = (new MasterEquipment())->renew($meId);
        if($me['status'])
        {
            toastr('Master Equipment Renewed', 'success');
            return redirect()->route('admin_master_equipment_update', ['id'=>$me['data']->id]);
        }
        toastr($me['error'], 'error');
        return back();
    }
}
