<?php

namespace App\Http\Controllers;

use App\Models\PerformanceQualificationCertificate;

class PQCExpireController extends Controller
{
    function index()
    {
        $performanceQualityCertificate = PerformanceQualificationCertificate::with('user')
        ->whereBetween('next_due_date', [now()->startOfMonth()->format('Y-m-d'), now()->addMonth()->endOfMonth()->format('Y-m-d')])
        ->orWhereDate('next_due_date', '<=', now()->format('Y-m-d'))
        ->get();

        // REMOVING RENEWED CERTIFICATES FROM COLLECTION
        $performanceQualityCertificate = $performanceQualityCertificate->reject(function($data) {
            return $data->renewed == 1;
        });
        return view('page.performance-qualification-certificate.pqc-expires-index', compact('performanceQualityCertificate'));
    }

    public function edit($pqId)
    {
        $pq = (new PerformanceQualificationCertificate)->renew($pqId);
        if($pq['status'])
        {
            toastr('Certificate Renewed', 'success');
            return redirect()->route('admin_performance_quality_certificate_update', ['id'=>$pq['data']->id]);
        }
        toastr($pq['error'], 'error');
        return back();
    }
}
