<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use SimpleSoftwareIO\QrCode\Facades\QrCode;

class QRCodeController extends Controller
{
    //
    public function index()
    {
      return view('page.qrcode.qrcode');
    }
    public function generate(Request $request)
    {
        $time = time();

        $request->validate([
            'calibration_date' => 'required|date',
            'recalibration_date' => 'required|date',
            'equipment_name' => 'required',
            'serial_number' => 'required',
            'url' => 'required|url',
        ]);

        // Get the input data
        $calibrationDate = $request->input('calibration_date');
        $recalibrationDate = $request->input('recalibration_date');
        $equipmentName = $request->input('equipment_name');
        $serialNumber = $request->input('serial_number');
        $url = $request->input('url');

        // create a folder
        if(!\File::exists(public_path('images'))) {
            \File::makeDirectory(public_path('images'), $mode = 0777, true, true);
        }

        QrCode::generate($request->url, 'images/'.$time.'.svg');

        $img_url = 'images/'.$time.'.svg';

        \Session::put('qrImage', $img_url);

        $view = view('page.qrcode.printable', compact('calibrationDate', 'recalibrationDate', 'equipmentName', 'serialNumber'));
        return response($view)->header('Content-Type', 'text/html');
        // return redirect()->route('qrcode');
    }
}
