<?php

namespace App\Http\Controllers;

use App\Models\UnitSymbol;
use App\Http\Requests\StoreUnitSymbolRequest;
use App\Http\Requests\UpdateUnitSymbolRequest;
use Auth;
class UnitSymbolController extends Controller
{
    public function index()
    {
        if(Auth::user()->can('basicoperation show')){

            $unitSymbols = UnitSymbol::all();
            return view('page.symbol.table', compact('unitSymbols'));
        }else{
            abort(401);
        }
    }

    public function store()
    {
        return view('page.symbol.add');
    }

    public function storeProcess(StoreUnitSymbolRequest $request)
    {
        $request = $request->validated();

        $masterEquipment = UnitSymbol::firstOrCreate(['name'=>$request['name']], $request);  
        toastr('Data Stored', 'success');
        return redirect()->route('admin_unit_symbol_index');
    }

    public function update($id)
    {
        $masterEquipment = UnitSymbol::find($id);
        return view('page.master-testing.edit', compact('masterEquipment'));
    }

    public function updateProcess(UpdateUnitSymbolRequest $request, $id)
    {
        $request = $request->validated();

        $masterEquipment = UnitSymbol::find($id);
        $masterEquipment->name = $request['name'];
        if($masterEquipment->update())
        {
            toastr('Data Updated', 'success');
            return redirect()->route('admin_unit_symbol_index');
        }
    }

    public function delete($id)
    {
        UnitSymbol::destroy($id);
        toastr('Deleted', 'success');
        return back();
    }
}
