<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class AdminLoginRequest extends FormRequest
{

    use SanitizesInput;
    
    public function filters()
    {
        return [
            'email' => 'trim',
            'password' => 'trim|strip_tags',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'email' => 'required|min:6|max:50',
            'password' => 'required|min:6|max:60',
        ];
    }
}
