<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class AdminResetPasswordRequest extends FormRequest
{

    use SanitizesInput;
    
    public function filters()
    {
        return [
            'password' => 'trim|strip_tags',
            'password_confirmation' => 'trim|strip_tags',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'password' => 'required|confirmed|min:6|max:60',
            'password_confirmation' => 'required|min:6|max:60',
        ];
    }

    public function messages()
    {
        return [
            'password.required' => 'Password is Required field',
            'password_confirmation.required' => 'Password Confirmation is Required field',
        ];
    }
}
