<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class CalibrationSendExpireMail extends FormRequest
{

    use SanitizesInput;
    
    public function filters()
    {
        return [
            'id' => 'numeric',
            'to' => 'trim|strip_tags',
            'subject' => 'trim|strip_tags',
            'content' => 'trim|strip_tags',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'id' => 'numeric',
            'to' => 'required|min:6|max:50',
            'subject' => 'required|max:50',
            'content' => 'required|min:6|max:1000',
            'file' => '',
        ];
    }
}
