<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class MasterEquipmentRequest extends FormRequest
{

    use SanitizesInput;
    
    public function filters()
    {
        return [
            'master_equipment' => 'trim|strip_tags',
            'model' => 'trim|strip_tags',
            'serial_no' => 'trim|strip_tags',
            'range' => 'trim|strip_tags',
            'rangeSymbol' => 'trim|strip_tags',
            'accuracy' => 'trim|strip_tags',
            'accuracySymbol' => 'trim|strip_tags',
            'traceability_ref_no' => 'trim|strip_tags',
            'traceabilitySymbol' => 'trim|strip_tags',
            'cal_due_date' => 'trim|strip_tags',
        ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'master_equipment' => 'required',
            'model' => 'required',
            'serial_no' => 'required',
            'range' => 'required',
            'rangeSymbol' => 'max:50',
            'accuracy' => 'required',
            'accuracySymbol' => 'max:50',
            'traceability_ref_no' => 'required',
            'traceabilitySymbol' => 'max:50',
            'cal_due_date' => '',
        ];
    }
}
