<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class StorePerformanceQualificationCertificateRequest extends FormRequest
{

    use SanitizesInput;
    
    public function filters()
    {
        return [
            'user_id' => 'digit|trim|strip_tags',
            'performance_qualification_protocol_no' => 'trim|strip_tags',
            'equipment_id' => 'trim|strip_tags',
            'equipment_system_utility' => 'trim|strip_tags',
            'use_purpose' => 'trim|strip_tags',
            'make_model' => 'trim|strip_tags',
            'location' => 'trim|strip_tags',
            'name_of_test' => 'trim|strip_tags',
            'performance_qualification_test_date' => 'trim|strip_tags',
            'next_due_date' => 'trim|strip_tags',
            'validated_by' => 'trim|strip_tags',
            'signature' => 'trim|strip_tags',
        ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'user_id' => 'required',
            'performance_qualification_protocol_no' => 'required',
            'equipment_id' => 'required',
            'equipment_system_utility' => 'required',
            'use_purpose' => 'required',
            'make_model' => 'required',
            'location' => 'required',
            'name_of_test' => 'required',
            'performance_qualification_test_date' => 'required',
            'next_due_date' => 'required',
            'validated_by' => 'required',
            // 'signature' => 'required',
        ];
    }
}
