<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CalibrationLabel extends Model
{
    use HasFactory;

    protected $guarded = [];

    // QUERIES
    public function store(array $data)
    {
        try {
            $label = $this->firstOrCreate(['label_id'=>$data['label_id']], $data);
        } catch (\Throwable $th) {
            return ['status'=>false, 'error'=>$th->getMessage()];
        }
        return ['status'=>true, 'data'=>$label];
    }
    
    // RELATIONS

    public function calibration()
    {
        return $this->hasOne(Calibration::class, 'user_id', 'id');
    }

    public function pqCertificate()
    {
        return $this->hasOne(PerformanceQualificationCertificate::class, 'user_id', 'id');
    }
    
    public function qr_code_jawad()
    {
        return $this->hasOne(QrCode::class, 'label_id', 'id');
    }
    
    
}
