<?php

namespace App\Observers;

use App\Models\Calibration;
use App\Models\CalibrationCount;

class CalibrationObserver
{
    /**
     * Handle the Calibration "created" event.
     *
     * @param  \App\Models\Calibration  $calibration
     * @return void
     */
    public function created(Calibration $calibration)
    {   
        $count = CalibrationCount::first() == null ? 1 : CalibrationCount::first()->count;
        $count = $count == 1 ? $count : $count+1;
        if ($count > 9) 
        {
            $calibration->certificate_no = "MVLT_COC_".now()->format('d-m-y').'_'.$count;
        }
        else
        {
            $calibration->certificate_no = "MVLT_COC_".now()->format('d-m-y').'_0'.$count;

        }
        $calibration->save();
    }

    /**
     * Handle the Calibration "updated" event.
     *
     * @param  \App\Models\Calibration  $calibration
     * @return void
     */
    public function updated(Calibration $calibration)
    {
        //
    }

    /**
     * Handle the Calibration "deleted" event.
     *
     * @param  \App\Models\Calibration  $calibration
     * @return void
     */
    public function deleted(Calibration $calibration)
    {
        //
    }

    /**
     * Handle the Calibration "restored" event.
     *
     * @param  \App\Models\Calibration  $calibration
     * @return void
     */
    public function restored(Calibration $calibration)
    {
        //
    }

    /**
     * Handle the Calibration "force deleted" event.
     *
     * @param  \App\Models\Calibration  $calibration
     * @return void
     */
    public function forceDeleted(Calibration $calibration)
    {
        //
    }
}
