<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('performance_qualification_certificates', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id')->references('id')->on('calibration_labels')->onDelete('cascade');
            $table->string('performance_qualification_protocol_no')->nullable();
            $table->string('equipment_id')->nullable();
            $table->string('equipment_system_utility')->nullable();
            $table->string('use_purpose')->nullable();
            $table->string('make_model')->nullable();
            $table->string('location')->nullable();
            $table->string('name_of_test')->nullable();
            $table->date('performance_qualification_test_date')->nullable();
            $table->date('next_due_date')->nullable();
            $table->string('validated_by')->nullable();
            $table->string('signature')->nullable();
            $table->tinyInteger('renewed')->default(0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('performance_qualification_certificates');
    }
};
