<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('calibrations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('certificate_id')->nullable();
            $table->foreign('certificate_id')->references('id')->on('calibrations')->onDelete('cascade');
            $table->unsignedBigInteger('customer_id')->nullable();
            $table->foreign('customer_id')->references('id')->on('customers')->onDelete('cascade');
            $table->unsignedBigInteger('instrument_id')->nullable();
            $table->foreign('instrument_id')->references('id')->on('instruments')->onDelete('cascade');
            $table->unsignedBigInteger('master_equip_id')->nullable();
            $table->foreign('master_equip_id')->references('id')->on('master_equipment')->onDelete('cascade');
            $table->unsignedBigInteger('master_equip_two_id')->nullable();
            $table->foreign('master_equip_two_id')->references('id')->on('master_equipment')->onDelete('cascade');
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id')->references('id')->on('calibration_labels')->onDelete('cascade');
            $table->string('certificate_no')->nullable();
            $table->string('address')->nullable();
            $table->date('date_of_issue')->nullable();
            $table->string('email')->nullable();
            $table->date('date_of_expiry')->nullable();
            $table->string('sub_location')->nullable();
            $table->string('location')->nullable();
            $table->string('model')->nullable();
            $table->string('make')->nullable();
            $table->string('range')->nullable();
            $table->string('range_symbol')->nullable();
            $table->string('accuracy')->nullable();
            $table->string('accuracy_symbol')->nullable();
            $table->string('serial')->nullable();
            $table->string('condition')->nullable();
            $table->string('least_count')->nullable();
            $table->string('least_count_symbol')->nullable();
            $table->string('tolerance_limit')->nullable();
            $table->string('tolerance_symbol')->nullable();
            $table->string('master_reading')->nullable();
            $table->string('uut_reading')->nullable();
            $table->string('difference')->nullable();
            $table->string('review')->nullable();
            $table->string('mudr_symbol')->nullable();
            $table->enum('expire_mail_status', ['pending', 'sent'])->default('pending');
            $table->tinyInteger('renewed')->default(0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('calibrations');
    }
};
