<?php

namespace Database\Seeders;

use App\Models\Calibration;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class CalibrationSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Calibration::insert(
            [
                [
                    'master_equip_id' => 1,
                    'master_equip_two_id' => 1,
                    'customer_id' => 1,
                    'instrument_id' => 1,
                    'certificate_no' => 'certificate_no',
                    'address' => 'address',
                    'date_of_issue' => now()->format('d-m-y'),
                    'email' => 'email',
                    'date_of_expiry' => now()->format('d-m-y'),
                    'user_id' => 'user_id',
                    'sub_location' => 'sub_location',
                    'location' => 'location',
                    'model' => 'model',
                    'make' => 'make',
                    'range' => 'range',
                    'accuracy' => 'accuracy',
                    'serial' => 'serial',
                    'condition' => 'condition',
                    'least_count' => 'least_count',
                    'tolerance_limit' => 'tolerance_limit',
                    'master_reading' => 'master_reading',
                    'uut_reading' => 'uut_reading',
                    'difference' => 'difference',
                    'review' => 'review',
                    'no_name' => 'no_name',
                ],
            ]);
    }
}
