                @php
                    use App\Models\MasterEquipment;
                    use Carbon\Carbon;
                    // $expires = MasterEquipment::whereMonth('cal_due_date', date('m') + 1)
                    //     ->orderBy('cal_due_date')
                    //     ->get();
                    $expires = MasterEquipment::whereBetween('cal_due_date', [now()->startOfMonth()->format('Y-m-d'), now()->addMonth()->endOfMonth()->format('Y-m-d')])
                    ->orWhereDate('cal_due_date', '<=', now()->format('Y-m-d'))
                    ->get();

                    // REMOVING RENEWED CERTIFICATES FROM COLLECTION
                    $expires = $expires->reject(function($data) {
                        return $data->renewed == 1;
                    });
                @endphp
                <nav class="navbar navbar-expand-lg main-navbar sticky">
                    <div class="form-inline mr-auto">
                        <ul class="navbar-nav mr-3">
                            <li><a href="#" data-toggle="sidebar" class="nav-link nav-link-lg
									collapse-btn">
                                    <i data-feather="menu"></i></a></li>
                        </ul>
                    </div>
                    <ul class="navbar-nav navbar-right">
                        <li><a href="#" class="nav-link nav-link-lg fullscreen-btn">
                                <i data-feather="maximize"></i>
                            </a></li>
                        <li class="dropdown dropdown-list-toggle"><a href="#" data-toggle="dropdown"
                                class="nav-link notification-toggle nav-link-lg"><i data-feather="bell"
                                    class="bell"></i>
                                <span class="badge badge-light">{{ $expires->count() }}</span>
                            </a>
                            <div class="dropdown-menu dropdown-list dropdown-menu-right pullDown">
                                <div class="dropdown-header">
                                    Notifications
                                </div>
                                <div class="dropdown-list-content dropdown-list-icons">
                                    <p class="text-center">Master Equipment</p>
                                    @forelse ($expires as $expire)
                                        <a href="{{ route('admin_master_equipment_update', ['id' => $expire->id]) }}"
                                            class="dropdown-item dropdown-item-unread">
                                            <span class="dropdown-item-icon bg-danger text-white"> <i
                                                    class="fas fa-exclamation"></i></span>
                                            <span class="dropdown-item-desc">{{ $expire->master_equipment }} <span
                                                    class="time">Cal Due date :
                                                    {{ Carbon::parse($expire->cal_due_date)->format('m-d-y') }}</span></span>
                                        </a>
                                    @empty
                                    @endforelse
                                </div>
                            </div>
                        </li>
                    </ul>
                </nav>
                <div class="main-sidebar sidebar-style-2">
                    <aside id="sidebar-wrapper">
                        <div class="sidebar-brand">
                            <a href="/admin/dashboard"> <img alt="MICROVAL"
                                    src="{{ asset('./assets/img/icon-logo.ico') }}" class="header-logo img-fluid" />
                            </a>
                        </div>
                        <br>
                        <br>
                        <br>
                        <div class="sidebar-user">
                            <div class="sidebar-user-details">
                                <div class="user-name">Administrator</div>
                            </div>
                        </div>
                        <ul class="sidebar-menu">
                            <li class="dropdown">
                                <a href="/admin/dashboard" class="nav-link"><i
                                        data-feather="grid"></i><span>Dashboard</span></a>
                            </li>
                            
                            @if(\Auth::user()->can('basicoperation show'))
                                <li class="dropdown">
                                    <a href="#" class="menu-toggle nav-link has-dropdown"><i
                                            data-feather="monitor"></i><span>Basic Operation</span></a>
                                    <ul class="dropdown-menu">
                                        <li class="dropdown">
                                            <a href="{{ route('admin_customer_index') }}" class="nav-link"><i
                                                    data-feather="monitor"></i><span>CUSTOMER</span></a>
                                        </li>
                                        <li class="dropdown">
                                            <a href="{{ route('admin_unit_symbol_index') }}" class="nav-link"><i
                                                    data-feather="monitor"></i><span>UNITS</span></a>
                                        </li>
                                        <li class="dropdown">
                                            <a href="{{ route('admin_instrument_index') }}" class="nav-link"><i
                                                    data-feather="monitor"></i><span>INSTRUMENT</span></a>
                                        </li>
                                        <li class="dropdown">
                                            <a href="{{ route('label.index') }}" class="nav-link"><i
                                                    data-feather="monitor"></i><span>Label</span></a>
                                        </li>
                                    </ul>
                                </li>
                            @endif
                            @if(\Auth::user()->can('master show'))

                            <li class="dropdown">
                                <a href="#" class="menu-toggle nav-link has-dropdown"><i
                                        data-feather="monitor"></i><span>Master Equipment</span></a>
                                <ul class="dropdown-menu">
                                    <li class="dropdown">
                                        <a href="{{ route('admin_master_equipment_index') }}" class="nav-link"><i
                                                data-feather="clipboard"></i><span>List</span></a>
                                    </li>
                                    <li class="dropdown">
                                        <a href="{{ route('me_expires.index') }}" class="nav-link"><i
                                                data-feather="clipboard"></i><span>Expiry</span></a>
                                    </li>
                                </ul>
                            </li>
                            @endif
                            @if(\Auth::user()->can('calibration show'))
                            <li class="dropdown">
                                <a href="#" class="menu-toggle nav-link has-dropdown"><i
                                        data-feather="monitor"></i><span>Calibration Certificate</span></a>
                                <ul class="dropdown-menu">
                                    <li class="dropdown">
                                        <a href="{{ route('admin_calibration_index') }}" class="nav-link"><i
                                                data-feather="shopping-bag"></i><span>List</span></a>
                                    </li>
                                    <li class="dropdown">
                                        <a href="{{ route('admin_calibration_expire_index') }}" class="nav-link"><i
                                                data-feather="clipboard"></i><span>Expiry</span></a>
                                    </li>                                       
                                </ul>
                            </li>
                            @endif
                            @if(\Auth::user()->can('validation show'))
                            <li class="dropdown">
                                <a href="#" class="menu-toggle nav-link has-dropdown"><i
                                        data-feather="monitor"></i><span>Validation Certificate</span></a>
                                <ul class="dropdown-menu">
                                    <li class="dropdown">
                                        <a href="{{ route('admin_performance_quality_certificate_index') }}"
                                            class="nav-link"><i data-feather="user"></i><span>List</span></a>
                                    </li>
                                    <li class="dropdown">
                                        <a href="{{ route('pqc_expires.index') }}" class="nav-link"><i
                                                data-feather="clipboard"></i><span>Expiry</span></a>
                                    </li>
                                
                                </ul>
                            </li>
                            @endif
                            @if(\Auth::user()->can('qrcode show'))
                            <li class="dropdown">
                                <a href="{{ route('qrcode.index') }}" class="nav-link"><i
                                        data-feather="grid"></i><span>QR Tag Generator</span></a>
                            </li>
                            @endif

                            @if(\Auth::user()->can('note show'))
                            <li class="dropdown">
                                <a href="{{ route('note.index') }}" class="nav-link"><i
                                        data-feather="grid"></i><span>Notes</span></a>
                            </li>
                            @endif

                            @if(\Auth::user()->can('user show'))
                            <li class="dropdown">
                                <a href="{{ route('user.index') }}" class="nav-link"><i
                                        data-feather="grid"></i><span>User</span></a>
                            </li>
                            @endif

                            @if(\Auth::user()->can('role show'))

                                <li class="dropdown">
                                    <a href="{{ route('role.index') }}" class="nav-link"><i
                                    data-feather="user"></i><span>Roles</span></a>
                                </li>
                            @endif
                            <li class="dropdown">
                                <a href="{{ route('admin_logout') }}" class="nav-link text-danger"><i
                                        class="fas fa-sign-out-alt"></i><span>Logout</span></a>
                            </li>
                            

                        </ul>
                    </aside>
                </div>
