@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>Label</h4>
                        </div>
                        <div class="col-md-1">
                            <a title="Export All Labels" href="{{route('label.export')}}" class="btn btn-primary">Export</a>
                        </div>
                        @can('basicoperation create')

                        <div class="col-md-1">
                            <a href="{{ route('label.create') }}" class="btn btn-primary"><i class="fas fa-plus"></i></a>
                        </div>
                        @endcan
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover" id="save-stage2" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>S.no</th>
                                        <th>Label Id</th>
                                        <th>Link</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                @forelse ($labels as $key => $label)
                                    <tr>
                                        <td>{{$label->id}}</td>
                                        <td>{{$label->label_id}}</td>
                                        <td><a title="Advance Label Link" href="{{route('pdf.showByLabel', ['label'=>$label->id])}}">{{route('pdf.showByLabel', ['label'=>$label->id])}}</a></td>
                                        <td>
                                            <div class="row">
                                            @can('basicoperation delete')

                                                <div class="col-md-4">
                                                    <a onclick="return confirm('Sure want to delete?')" href="{{route('label.delete', ['label'=>$label->id])}}"
                                                        class="btn btn-danger"><i class="fas fa-trash"></i></a>
                                                </div>
                                                @endcan
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
<script src="https://cdn.datatables.net/plug-ins/1.13.1/sorting/natural.js"></script>
<script>

$(document).ready(function() {
$('#save-stage2').DataTable( {
"lengthMenu": [[100,500,1000], [100,500,1000]],
order: [[1, 'asc']],
columnDefs: [
   { type: 'natural', targets: 1 }
 ]
} );
} );
   
</script>
@endpush