@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>Mail</h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <form class="row" action="{{ route('admin_calibration_expire_mail_process', ['id' => request()->id]) }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group col-md-6">
                                <label for="to">To</label>
                                <input type="email" class="form-control" placeholder="To" name="to"
                                    value="{{ request()->email }}" readonly>
                                @if ($errors->has('to'))
                                    <div class="text-danger">{{ $errors->first('to') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-6">
                                <label for="subject">Subject</label>
                                <input type="text" class="form-control" placeholder="Subject" name="subject"
                                    value="{{ old('subject') }}">
                                @if ($errors->has('subject'))
                                    <div class="text-danger">{{ $errors->first('subject') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-12">
                                <label for="content">Content</label>
                                <textarea class="form-control" name="content" id="" cols="30" rows="10">{{old('content')}}</textarea>
                                @if ($errors->has('content'))
                                    <div class="text-danger">{{ $errors->first('content') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="attachment">Attachment</label>
                                <input type="file" class="form-control" name="file" >
                                @if ($errors->has('file'))
                                    <div class="text-danger">{{ $errors->first('file') }}</div>
                                @endif
                            </div>
                            <div class="col-md-12">
                                <button class="btn btn-primary float-right">Send</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
