@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>Expire Calibration Certificate </h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover" id="save-stage" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>S.no</th>
                                        <th>Label Id</th>
                                        <th>Certificate #</th>
                                        <th>Customer</th>
                                        {{-- <th>Customer Email</th> --}}
                                        <th>Certificate Issue</th>
                                        <th>Certificate Expire</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                @forelse ($expires as $key => $expire)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ $expire->user->label_id ?? '' }}</td>
                                        <td>{{ $expire->certificate_no }}</td>
                                        <td>{{ $expire->customer->name ?? '' }}</td>
                                        {{-- <td>{{ $expire->customer->email }}</td> --}}
                                        <td>{{ $expire->date_of_issue }}</td>
                                        <td>{{ $expire->date_of_expiry }}</td>
                                        <td>
                                            <div class="row">
                                                @if ($expire->expire_mail_status != 'pending')
                                                    <div class="col-md-4">
                                                        <p>Mail Sent Once</p>
                                                    </div>
                                                @endif
                                                <div class="col-md-4">
                                                    <a title="Renew"
                                                        href="{{ route('calibration.renew', ['calibrationId' => $expire->id]) }}"
                                                        class="btn btn-primary"><i class="fas fa-clone"></i></a>
                                                    <a title="Send Mail"
                                                        href="{{ route('admin_calibration_expire_mail', ['id' => $expire->id, 'email' => $expire->customer->email ?? '']) }}"
                                                        class="btn btn-primary"><i class="fas fa-envelope"></i></a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                @empty
                                @endforelse

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
