@extends('layout.master')
@section('content')
    <div class="row">
        <div class="card">
            <div class="card-header">
                <h4>CERTIFICATE OF CALIBRATION / VALIDATION</h4>
            </div>
            <div class="card-body">
                <form class="row" action="{{ route('admin_calibration_store_process') }}" method="post"
                    id="certificateForm">
                    @csrf
                    <div class="col-md-12">
                        <h3 class="text-center">INFORMATON</h3>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Customer">Customer</label>
                        <select name="customer" id="customer" class="form-control">
                            @forelse ($customers as $customer)
                                <option value="{{ $customer->id }}"
                                    {{ old('customer') == $customer->id ? 'selected' : '' }}>{{ $customer->name }}</option>
                            @empty
                            @endforelse
                        </select>
                        @if ($errors->has('customer'))
                            <div class="text-danger">{{ $errors->first('customer') }}</div>
                        @endif

                    </div>
                    <div class="form-group col-md-4">
                        <label for="Address">Address</label>
                        <input name="address" value="{{ old('address') }}" type="text" placeholder="Address"
                            class="form-control" id="customerAddress" readonly>
                        @if ($errors->has('address'))
                            <div class="text-danger">{{ $errors->first('address') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="DateofIssue">Date of Issue</label>
                        <input name="date_of_issue" value="{{ old('date_of_issue') }}" type="date"
                            placeholder="Date of Issue" id="dateOfIssue" onchange="updatedate();" class="form-control">
                        @if ($errors->has('date_of_issue'))
                            <div class="text-danger">{{ $errors->first('date_of_issue') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Email">E mail</label>
                        <input name="email" value="{{ old('email') }}" type="email" placeholder="E mail"
                            class="form-control" id="customerEmail" readonly>
                        @if ($errors->has('email'))
                            <div class="text-danger">{{ $errors->first('email') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="DateofExpiry ">Date of Expiry </label>
                        <input name="date_of_expiry" value="{{ old('date_of_expiry') }}" type="date"
                            placeholder="Date of Expiry" id="dateOfExpiry" class="form-control">
                        @if ($errors->has('date_of_expiry'))
                            <div class="text-danger">{{ $errors->first('date_of_expiry') }}</div>
                        @endif
                    </div>
                    <br>
                    <div class="col-md-12">
                        <h3 class="text-center">Unit Under Test UUT</h3>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="UserID">User ID</label>
                        <select name="user_id" id="user_ids" ype="text"  class="form-control" required>
                            @forelse ($labels as $label)
                                <option value="{{$label->id}}">{{$label->label_id}}</option>
                            @empty
                                
                            @endforelse
                        </select>
                        @if ($errors->has('user_id'))
                            <div class="text-danger">{{ $errors->first('user_id') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="SubLocation">Sub Location</label>
                        <input name="sub_location" value="{{ old('sub_location') }}" type="text"
                            placeholder="Sub Location" class="form-control">
                        @if ($errors->has('sub_location'))
                            <div class="text-danger">{{ $errors->first('sub_location') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Location">Location</label>
                        <input name="location" value="{{ old('location') }}" type="text" placeholder="Location"
                            class="form-control">
                        @if ($errors->has('location'))
                            <div class="text-danger">{{ $errors->first('location') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="InstrumentType">Instrument Type </label>
                        <select name="instrument_type" id="" class="form-control">
                            @forelse ($instruments as $instrument)
                                <option value="{{ $instrument->id }}"
                                    {{ old('instrument') == $instrument->id ? 'selected' : '' }}>{{ $instrument->name }}
                                </option>
                            @empty
                            @endforelse
                        </select>
                        @if ($errors->has('instrument_type'))
                            <div class="text-danger">{{ $errors->first('instrument_type') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Model">Model</label>
                        <input name="model" type="text" class="form-control" value="{{ old('model') }}"
                            placeholder="Model">
                        @if ($errors->has('model'))
                            <div class="text-danger">{{ $errors->first('model') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Make ">Make</label>
                        <input name="make" value="{{ old('make') }}" type="text" placeholder="Make"
                            class="form-control">
                        @if ($errors->has('make'))
                            <div class="text-danger">{{ $errors->first('make') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="Range ">Range</label>
                        <input name="range" value="{{ old('range') }}" type="text" placeholder="Range"
                            class="form-control">
                        @if ($errors->has('range'))
                            <div class="text-danger">{{ $errors->first('range') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="">Units</label>
                        <select name="rangeSymbol" id="" class="form-control">
                            <option selected disabled>Select Unit</option>
                            @forelse ($unitSymbols as $symbol)
                                <option value="{{ $symbol->name }}"
                                    {{ old('rangeSymbol') == $symbol->name ? 'selected' : '' }}>{{ $symbol->name }}
                                </option>
                            @empty
                            @endforelse
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="Accuracy/Resolution ">Accuracy / Resolution</label>
                        <input name="accuracy" value="{{ old('accuracy') }}" type="text"
                            placeholder="Accuracy / Resolution" class="form-control">
                        @if ($errors->has('accuracy'))
                            <div class="text-danger">{{ $errors->first('accuracy') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="">Units</label>
                        <select name="accuracySymbol" id="" class="form-control">
                            <option selected disabled>Select Unit</option>
                            @forelse ($unitSymbols as $symbol)
                                <option value="{{ $symbol->name }}"
                                    {{ old('accuracySymbol') == $symbol->name ? 'selected' : '' }}>{{ $symbol->name }}
                                </option>
                            @empty
                            @endforelse
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Serial">Serial #</label>
                        <input name="serial" value="{{ old('serial') }}" type="text" placeholder="Serial #"
                            class="form-control">
                        @if ($errors->has('serial'))
                            <div class="text-danger">{{ $errors->first('serial') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Condition">Condition</label>
                        <input name="condition" value="{{ old('condition') }}" type="text" placeholder="Condition"
                            class="form-control">
                        @if ($errors->has('condition'))
                            <div class="text-danger">{{ $errors->first('condition') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="Least Count">Least Count</label>
                        <input name="least_count" value="{{ old('least_count') }}" type="text"
                            placeholder="Least Count" class="form-control">
                        @if ($errors->has('least_count'))
                            <div class="text-danger">{{ $errors->first('least_count') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="">Units</label>
                        <select name="leastSymbol" id="" class="form-control">
                            <option selected disabled>Select Unit</option>
                            @forelse ($unitSymbols as $symbol)
                                <option value="{{ $symbol->name }}"
                                    {{ old('leastSymbol') == $symbol->name ? 'selected' : '' }}>{{ $symbol->name }}
                                </option>
                            @empty
                            @endforelse
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="Tolerance Limit">Tolerance Limit</label>
                        <input name="tolerance_limit" value="{{ old('tolerance_limit') }}" type="text"
                            placeholder="±Tolerance Limit" class="form-control">
                        @if ($errors->has('tolerance_limit'))
                            <div class="text-danger">{{ $errors->first('tolerance_limit') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="">Units</label>
                        <select name="toleranceSymbol" id="" class="form-control">
                            <option selected disabled>Select Unit</option>
                            @forelse ($unitSymbols as $symbol)
                                <option value="{{ $symbol->name }}"
                                    {{ old('toleranceSymbol') == $symbol->name ? 'selected' : '' }}>{{ $symbol->name }}
                                </option>
                            @empty
                            @endforelse
                        </select>
                    </div>
                    <div class="col-md-12">
                        <h3 class="text-center">Equipment Used</h3>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="masterequipment">Master Equipment 1</label>
                        <select name="master_equipment_one" id="" class="form-control" required>
                            @forelse ($masterEquipments as $equipment)
                                <option value="{{ $equipment->id }}"
                                    {{ $equipment->id == old('master_equipment_one' ? 'selected' : '') }}>
                                    {{ $equipment->master_equipment }}</option>
                            @empty
                            @endforelse
                        </select>
                        @if ($errors->has('master_equipment_one'))
                            <div class="text-danger">{{ $errors->first('master_equipment_one') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-6">
                        <label for="masterequipment_two">Master Equipment 2</label>
                        <select name="master_equipment_two" id="" class="form-control">
                            <option selected>Select Master Equipment Two</option>
                            @forelse ($masterEquipments as $equipment)
                                <option value="{{ $equipment->id }}"
                                    {{ $equipment->id == old('master_equipment_two' ? 'selected' : '') }}>
                                    {{ $equipment->master_equipment }}</option>
                            @empty
                            @endforelse
                        </select>
                        @if ($errors->has('master_equipment_two'))
                            <div class="text-danger">{{ $errors->first('master_equipment_two') }}</div>
                        @endif
                    </div>
                    <div class="col-md-12">
                        <h3 class="text-center">Test Performed</h3>
                    </div>
                    <section class="row">
                        <div class="row div1 col-md-10">
                            <div class="form-group col-md-3">
                                <label for="MasterReading">Master Reading</label>
                                <input name="master_reading[]" value="" type="float"
                                    class="form-control masterReading" placeholder="Master Reading">
                                @if ($errors->has('master_reading'))
                                    <div class="text-danger">{{ $errors->first('master_reading') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-3">
                                <label for="UUTReadings">UUT Readings</label>
                                <input name="uut_reading[]" value="" type="float"
                                    class="form-control uutReading" placeholder="UUT Readings">
                                @if ($errors->has('uut_reading'))
                                    <div class="text-danger">{{ $errors->first('uut_reading') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-2">
                                <label for="Difference">Difference</label>
                                <input name="difference[]" value="" type="float" class="form-control difference"
                                    placeholder="Difference" readonly>
                                @if ($errors->has('difference'))
                                    <div class="text-danger">{{ $errors->first('difference') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-2">
                                <label for="Review">Review</label>
                                <input name="review[]" value="" type="text" class="form-control"
                                    placeholder="Review">
                                @if ($errors->has('review'))
                                    <div class="text-danger">{{ $errors->first('review') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-2">
                                <label for="">Units</label>
                                <select name="mudrSymbol[]" id="" class="form-control">
                                    <option selected value="">Select Unit</option>
                                    @forelse ($unitSymbols as $symbol)
                                        <option value="{{ $symbol->name }}"
                                            {{ old('mudrSymbol') == $symbol->name ? 'selected' : '' }}>{{ $symbol->name }}
                                        </option>
                                    @empty
                                    @endforelse
                                </select>
                            </div>
                        </div>
                        <div class="form-group  col-md-2 mt-2">
                            <br>
                            <div class="row">
                                <a href="javascript:void(0)" class="btn btn-primary col-md-3 mr-1 add" id=""><i
                                        class="fas fa-plus"></i></a>
                                <a href="javascript:void(0)" class="btn btn-danger col-md-3 remove"><i
                                        class=" fas fa-trash"></i></a>
                            </div>
                        </div>
                    </section>
                    <section class="div2 row">
                    </section>
                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary float-right loaderbtn">Submit</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    <br>
@endsection

@push('scripts')
    <script>
        $(document).ready(function() {
            // CUSTOMER SHOW
            function customerShow(data) {
                let customerId = data.val();

                $.ajax({
                    url: "{{ route('admin_customer_show') }}?id=" + customerId,
                    success: function(response) {
                        $("#customerEmail").val(response.email);
                        $("#customerAddress").val(response.address);
                    },
                    error: function(thr) {
                        alert(thr);
                    }
                });
            }
            customerShow($("#customer"));

            $("#customer").on('change', function() {
                customerShow($(this));
            });
            
            
            
            //Date Of Issue Jawad
            
            $("#user_ids").on('change', function() {
                
                let userId = this.value;

                $.ajax({
                    url: "{{ route('admin_user_date') }}?id=" + userId,
                    success: function(response) {
                         $("#dateOfIssue").val(response.calibration_date);
                         $("#dateOfExpiry").val(response.recalibration_date);
                        console.log(response);
                    },
                    error: function(thr) {
                        alert(thr);
                    }
                });
                
            });

            // UNIT CLONING

            $(".add").click(function() {
                $(".div1:last").clone().appendTo(".div2");
                $('.div1:last').find('input').val('');
            });

            $(".remove").click(function() {
                $(".div1:last").remove();
            });

            // TEST PERFORMANCE DIFFERENCE

            function findDifference() {
                let parent = $(this).parents(".div1");
                let masterReadinf = parent.find(".masterReading").val();
                let uutReading = parent.find(".uutReading").val();
                let difference = parent.find(".difference").val((masterReadinf - uutReading).toFixed(2));
            }

            $(document).on('keyup', ".masterReading", findDifference);

            $(document).on('keyup', ".uutReading", findDifference);

        });

        function updatedate() {
            var firstdate = document.getElementById("dateOfIssue").value;
            document.getElementById("dateOfIssue").value = firstdate;
            document.getElementById("dateOfExpiry").setAttribute("min", firstdate);
        }
    </script>
@endpush
