@php
use App\Models\Customer;
$customers = Customer::all();
$date_from_picker = empty(request()->date_from) ? now()->format('Y-m-d') : request()->date_from;
$date_to_picker = empty(request()->date_to) ? now()->format('Y-m-d') : request()->date_to;
@endphp
@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>CERTIFICATE OF CALIBRATION / VALIDATION</h4>
                        </div>
                        <div class="col-md-2 d-flex justify-content-end">
                            {{-- <form action="">
                                <input type="number" min="1900" max="2099" step="1"
                                    value="{{ request()->year ?? date('Y') }}" name="year" />
                                <input type="submit" value="Submit">
                            </form>
                            @if (!empty(request()->customer) || !empty(request()->year))
                                <a title="Reset Filter" href="{{ route('admin_calibration_index') }}"
                                    class="btn btn-danger">Reset Filter</a>
                            @endif --}}
                            {{-- DOWNLOAD MULTIPLE FILE --}}
                            @can('calibration create')
                                <button class="btn btn-primary" id="downloadMultiple"><i class="fas fa-download"></i></button>

                                <a href="{{ route('admin_calibration_store') }}" class="btn btn-primary"><i
                                    class="fas fa-plus"></i></a>

                            @endcan

                        </div>
                    </div>
                    <form action="">
                        @csrf
                        <div class="form-group row">
                          <label for="company" class="col-sm-2 col-form-label" style="padding-left: 25px;">Company:</label>
                          <div class="col-sm-6">
                            <select name="company" class="form-control">
                              @foreach($customers as $customer)
                                <option value="{{ $customer->id }}">{{ $customer->name }}</option>
                              @endforeach
                            </select>
                          </div>
                        </div>
                        <div class="form-group row">
                          <label for="date_from" class="col-sm-2 col-form-label" style="padding-left: 25px;">Date From:</label>
                          <div class="col-sm-6">
                            <input type="date" name="date_from"  class="form-control" value="{{ $date_from_picker }}">
                          </div>
                        </div>
                        <div class="form-group row">
                          <label for="date_to" class="col-sm-2 col-form-label" style="padding-left: 25px;">Date To:</label>
                          <div class="col-sm-6">
                            <input type="date" name="date_to"  class="form-control" value="{{ $date_to_picker }}">
                          </div>
                        </div>
                        <div class="form-group row">
                          <div class="col-sm-12 text-left" style="padding-left: 25px;">
                            <button type="submit" class="btn btn-primary">Search</button>
                          </div>
                        </div>
                      </form>
                        {{-- @if (!empty(request()->company) && !empty(request()->date_from) && !empty(request()->date_to))
                            <a title="Reset Filter" href="{{ route('admin_calibration_index') }}"
                            class="btn btn-danger">Reset Filter</a>
                        @endif --}}
                    <div class="card-body">
                        <div class="table-responsive">
                            <form action="{{ route('downloadMultiple') }}" method="post" id="downloadMultipleForm">
                                @csrf
                                <table class="table table-striped table-hover yajra-datatable" id="save-stage2"
                                    style="width:100%;">
                                    <thead>
                                        <tr>
                                            <th><input type="checkbox" id="checkAll"></th>
                                            <th>Label Id</th>
                                            <th>Customer</th>
                                            <th>Certificate #</th>
                                            {{-- <th>E mail</th> --}}
                                            <th>Date of Issue</th>
                                            <th>Date of Expiry</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    {{-- @forelse ($calibrations as $certificate)
                                        <tr>
                                            <td><input type="checkbox" name="ids[]" value="{{ $certificate->id }}"></td>
                                            <td>{{ $certificate->user->label_id ?? '' }}</td>
                                            <td><a
                                                    href="{{ route('admin_calibration_index', ['customer' => $certificate->customer->id]) }}">{{ $certificate->customer->name }}</a>
                                            </td>
                                            <td>{{ $certificate->certificate_no }}</td>
                                            <td>{{ $certificate->customer->email }}</td>
                                            <td>{{ $certificate->date_of_issue }}</td>
                                            <td>{{ $certificate->date_of_expiry }}</td>
                                            <td>
                                                <div class="row">
                                                    <div class="col-md-2">
                                                        <a href="{{ route('admin_calibration_update', ['id' => $certificate->id]) }}"
                                                            class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <a title="View PDF"
                                                            href="{{ route('pdf_show', ['id' => $certificate->id]) }}"
                                                            class="btn btn-info"><i class="fas fa-eye"></i></a>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <a title="Download PDF"
                                                            href="{{ route('admin_calibration_pdf_download', ['id' => $certificate->id]) }}"
                                                            class="btn btn-primary"><i class="fas fa-download"></i></a>
                                                    </div>
                                                    <div class="col-md-3">
                                                        <a onclick="return confirm('Sure Want To Delete?')"
                                                            href="{{ route('admin_calibration_delete', ['id' => $certificate->id]) }}"
                                                            class="btn btn-danger"><i class="fas fa-trash"></i></a>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse --}}
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
    {{-- <script src="https://cdn.datatables.net/plug-ins/1.13.1/sorting/natural.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script> --}}
    <script>
        $(document).ready(function() {
            
            var ajaxUrl = "{{  route('calibration.index.api') }}?company={{ request()->company }}&date_from={{ request()->date_from }}&date_to={{ request()->date_to }}";
            var table = $('.yajra-datatable').DataTable({
                "scrollX": true,

                processing: true,
                serverSide: true,
                //ajax: "{{ route('calibration.index.api', ['company' => request()->company, 'date_from' => request()->date_from, 'date_to' => request()->date_to]) }}",
                ajax: ajaxUrl,
                // ajax: {
                //     url: "{{ route('calibration.index.api') }}",
                //     data: {
                //         'company' : $('#company').val(),
                //         'date_from' : $('#date_from').val(),
                //         'date_to' : $('#date_to').val()
                //     }
                // },
                
                // @if (!empty(request()->year))
                //     ajax: "{{ route('calibration.index.api', ['year' => request()->year],) }}",
                // @endif
                // @if (!empty(request()->customer))
                //     ajax: "{{ route('calibration.index.api', ['customer' => request()->customer]) }}",
                // @endif
                //ajax: "{{ route('calibration.index.api', ['company' => request()->company, 'date_from' => request()->date_from, 'date_to' => request()->date_to]) }}",
                lengthMenu: [
                    [100, 500, 1000],
                    [100, 500, 1000]
                ],
                columns: [{
                        data: 'checkbox'
                    },
                    {
                        data: 'user.label_id'
                    },
                    {
                        data: 'customerHref'
                    },
                    {
                        data: 'certificate_no'
                    },
                    // {
                    //     data: 'customer.email'
                    // },
                    {
                        data: 'date_of_issue'
                    },
                    {
                        data: 'date_of_expiry'
                    },
                    {
                        data: 'action',
                        orderable: true,
                        searchable: true
                    },
                ],
                order: [
                    [1, 'asc']
                ],
                columnDefs: [{
                        type: 'natural',
                        targets: 1
                    },
                    {
                        orderable: false,
                        targets: 0
                    },
                ],
            });

            // $('#save-stage2').DataTable({
            //     "lengthMenu": [
            //         [100, 500, 1000],
            //         [100, 500, 1000]
            //     ],
            //     order: [[1, 'asc']],
            //     columnDefs: [
            //        { type: 'natural', targets: 1 }
            //      ],
            // });

            $('#checkAll').change(function() {
                $('input[name="ids[]"]').prop('checked', $(this).is(":checked"));
            });

            $('#downloadMultiple').on('click', function(e) {
                $('#downloadMultipleForm').submit();
            });
        });
    </script>
@endpush
