@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>Customers</h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <form class="row" action="{{ route('admin_customer_store_process') }}" method="POST">
                            @csrf
                            <div class="form-group col-md-4">
                                <label for="Name">Name</label>
                                <input name="name" value="{{ old('name') }}" type="text" class="form-control"
                                    placeholder="Name">
                                @if ($errors->has('name'))
                                    <div class="text-danger">{{ $errors->first('name') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="Name2">Representative Name</label>
                                <input name="representative_name" value="{{ old('representative_name') }}" type="text"
                                    class="form-control" placeholder="Representative Name">
                                @if ($errors->has('representative_name'))
                                    <div class="text-danger">{{ $errors->first('representative_name') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="Email">Email</label>
                                <input name="email" value="{{ old('email') }}" type="text" class="form-control"
                                    placeholder="Email">
                                @if ($errors->has('email'))
                                    <div class="text-danger">{{ $errors->first('email') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="Number">Number</label>
                                <input name="number" value="{{ old('number') }}" type="text" class="form-control"
                                    placeholder="Number" onKeyPress="if(this.value.length==13) return false;"
                                    id="number">
                                @if ($errors->has('number'))
                                    <div class="text-danger">{{ $errors->first('number') }}</div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="Address">Address</label>
                                <input name="address" type="text" class="form-control" placeholder="Address" required>
                                @if ($errors->has('address'))
                                    <div class="text-danger">{{ $errors->first('address') }}</div>
                                @endif
                            </div>
                            <div class="col-md-12">
                                <button class="btn btn-primary float-right loaderbtn">Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
    <script>
        $(document).ready(function() {
            $('#number').inputmask('+999999999999');
        });
    </script>
@endpush
