@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>CUSTOMERS</h4>
                        </div>
                        @can('basicoperation create')
                            <div class="col-md-2">
                                <a href="{{route('admin_customer_store')}}" class="btn btn-primary"><i
                                        class="fas fa-plus"></i></a>
                            </div>
                        @endcan
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover" id="save-stage2" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>S.No</th>
                                        <th>Name</th>
                                        <th>Representative Name</th>
                                        <th>Email</th>
                                        <th>Number</th>
                                        <th>Address</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                @forelse ($customers as $key => $customer)
                                <tr>
                                    <td>{{$key+1}}</td>
                                    <td>{{$customer->name}}</td>
                                    <td>{{$customer->representative_name}}</td>
                                    <td>{{$customer->email}}</td>
                                    <td>+{{$customer->number}}</td>
                                    <td>+{{$customer->address}}</td>
                                      <td>
                                          <div class="row">
                                          @can('basicoperation edit')

                                              <div class="col-md-6">
                                                  <a href="{{route('admin_customer_update', ['id' => $customer->id])}}" class="btn btn-primary"><i
                                                          class="fas fa-edit"></i></a>
                                              </div>
                                              @endcan
                                              @can('basicoperation delete')

                                              <div class="col-md-6">
                                                  <a onclick="return confirm('Sure want to delete?')" href="{{route('admin_customer_delete', ['id' => $customer->id])}}"
                                                      class="btn btn-danger"><i class="fas fa-trash"></i></a>
                                              </div>
                                              @endcan

                                          </div>
                                      </td>
                                  </tr>
                                @empty
                                    
                                @endforelse
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
<script>

$(document).ready(function() {
$('#save-stage2').DataTable( {
"lengthMenu": [[100,500,1000], [100,500,1000]]
} );
} );
   
</script>
@endpush