@extends('layout.master')
@section('content')
    <div class="row">
        <div class="card col-md-12">
            <div class="card-body">
                <h3 class="text-center">Master Equipment</h3>
                <br>
                <form class="row" action="{{ route('admin_master_equipment_update_process', ['id' => $masterEquipment->id]) }}" method="POST">
                    @csrf
                    <div class="form-group col-md-4">
                        <label for="masterequiment">Master Equipment</label>
                        <input name="master_equipment" value="{{old('master_equipment',$masterEquipment->master_equipment)}}" type="text" class="form-control" placeholder="Master Equipment">
                        @if ($errors->has('master_equipment'))
                            <div class="text-danger">{{ $errors->first('master_equipment') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Model">Model</label>
                        <input name="model" value="{{old('model', $masterEquipment->model)}}" type="text" class="form-control" placeholder="Model">
                        @if ($errors->has('model'))
                            <div class="text-danger">{{ $errors->first('model') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Serial #">Serial #</label>
                        <input name="serial_no" value="{{old('serial_no', $masterEquipment->serial_no)}}" type="text" class="form-control" placeholder="Serial #">
                        @if ($errors->has('serial_no'))
                            <div class="text-danger">{{ $errors->first('serial_no') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="Range">Range</label>
                        <input name="range" value="{{old('range', $masterEquipment->range)}}" type="text" class="form-control" placeholder="Range">
                        @if ($errors->has('range'))
                            <div class="text-danger">{{ $errors->first('range') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="">Units</label>
                        <select name="rangeSymbol" id="" class="form-control">
                            <option selected disabled>Select Unit</option>
                            @forelse ($unitSymbols as $symbol)
                                <option value="{{ $symbol->name }}"
                                    {{ $masterEquipment->range_symbol == $symbol->name ? 'selected' : '' }}>
                                    {{ $symbol->name }}</option>
                            @empty
                            @endforelse
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="Accuracy">Accuracy</label>
                        <input name="accuracy" value="{{old('accuracy', $masterEquipment->accuracy)}}" type="text" class="form-control" placeholder="Accuracy">
                        @if ($errors->has('accuracy'))
                            <div class="text-danger">{{ $errors->first('accuracy') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-2">
                        <label for="">Units</label>
                        <select name="accuracySymbol" id="" class="form-control">
                            <option selected>Select Unit</option>
                            @forelse ($unitSymbols as $symbol)
                                <option value="{{ $symbol->name }}"
                                    {{ $masterEquipment->accuracy_symbol == $symbol->name ? 'selected' : '' }}>
                                    {{ $symbol->name }}</option>
                            @empty
                            @endforelse
                        </select>
                    </div>
                    <div class="form-group col-md-4">
                        <label for="Traceability">Traceability Ref #</label>
                        <input name="traceability_ref_no" value="{{old('traceability_ref_no', $masterEquipment->traceability_ref_no)}}" type="text" class="form-control" placeholder="Traceability Ref #">
                        @if ($errors->has('traceability_ref_no'))
                            <div class="text-danger">{{ $errors->first('traceability_ref_no') }}</div>
                        @endif
                    </div>
                    {{-- <div class="form-group col-md-2">
                        <label for="">Units</label>
                        <select name="traceabilitySymbol" id="" class="form-control">
                            <option selected>Select Unit</option>
                            @forelse ($unitSymbols as $symbol)
                                <option value="{{ $symbol->name }}"
                                    {{ $masterEquipment->traceability_symbol == $symbol->name ? 'selected' : '' }}>
                                    {{ $symbol->name }}</option>
                            @empty
                            @endforelse
                        </select>
                    </div> --}}
                    <div class="form-group col-md-4">
                        <label for="CalDuedate">Cal Due date</label>
                        <input name="cal_due_date" value="{{old('cal_due_date', $masterEquipment->cal_due_date)}}" type="date" class="form-control" placeholder="Cal Due date">
                        @if ($errors->has('cal_due_date'))
                            <div class="text-danger">{{ $errors->first('cal_due_date') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-12">
                        <button class="btn btn-primary float-right loaderbtn">Update</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
