@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>MASTER EQUIPMENT</h4>
                        </div>

                        @can('master create')

                            <div class="col-md-2">
                                <a href="{{ route('admin_master_equipment_store') }}" class="btn btn-primary"><i
                                        class="fas fa-plus"></i></a>
                            </div>
                        @endcan
                    </div>
                    <div class="row">
                        <div class="col-md-9"></div>
                        <div class="col-md-3">
                            <form action="">
                                <div class="form-group">
                                    <div class="input-group">
                                        <input type="number" min="1900" max="2099" step="1"
                                            value="{{ request()->year ?? date('Y') }}" name="year" class="form-control">
                                        <div class="input-group-append">
                                            <input type="submit" value="Search" class="btn btn-primary">
                                        </div>
                                    </div>
                                </div>
                            </form>
                            @if (!empty(request()->year))
                                <a title="Reset Filter" href="{{ route('admin_master_equipment_index') }}"
                                    class="btn btn-danger">Reset Filter</a>
                            @endif

                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover" id="save-stage2" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>S.No</th>
                                        <th>Master Equipment</th>
                                        <th>Models</th>
                                        <th>Serial #</th>
                                        <th>Range</th>
                                        {{-- <th>Accuracy</th> --}}
                                        <th>Traceability Ref #</th>
                                        <th>Cal Due dat</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                @forelse ($masterEquipments as $key => $equipment)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ $equipment->master_equipment }}</td>
                                        <td>{{ $equipment->model }}</td>
                                        <td>{{ $equipment->serial_no }}</td>
                                        <td>{{ $equipment->range_with_unit }}</td>
                                        {{-- <td>{{ $equipment->accuracy_with_unit }}</td> --}}
                                        <td>{{ $equipment->traceability_with_unit }}</td>
                                        <td>{{ $equipment->cal_due_date ?? 'N/A' }}</td>
                                        <td>
                                            @can('master edit')
                                                <a href="{{ route('admin_master_equipment_update', ['id' => $equipment->id]) }}"
                                                    class="btn btn-primary"><i class="fas fa-edit"></i></a> |
                                            @endcan
                                            @can('master delete')
                                                <a onclick="return confirm('Sure Want To Delete?')"
                                                    href="{{ route('admin_master_equipment_delete', ['id' => $equipment->id]) }}"
                                                    class="btn btn-danger"><i class="fas fa-trash"></i></a>
                                            @endcan 
                                        </td>
                                    </tr>
                                @empty

                                @endforelse

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
    <script>
        $(document).ready(function() {
            $('#save-stage2').DataTable({
                "scrollX": true,

                "lengthMenu": [
                    [100, 500, 1000],
                    [100, 500, 1000]
                ]
            });
        });
    </script>
@endpush
