@extends('layout.master')
@section('content')
    <div class="row">
        <div class="card">
            <div class="card-header">
                <h3>PERFORMANCE QUALIFICATION CERTIFICATE</h3>
            </div>
            <div class="card-body">
                <form class="row" action="{{route('admin_performance_quality_certificate_store_process')}}" method="POST">
                    @csrf
                    <div class="form-group col-md-4">
                        <label for="UserID">User ID</label>
                        <select name="user_id" id="" ype="text"  class="form-control">
                            @forelse ($labels as $label)
                                <option value="{{$label->id}}">{{$label->label_id}}</option>
                            @empty
                                
                            @endforelse
                        </select>
                        @if ($errors->has('user_id'))
                            <div class="text-danger">{{ $errors->first('user_id') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Performance Qualification Protocol No.:</label>
                        <input required name="performance_qualification_protocol_no" value="{{ old('performance_qualification_protocol_no') }}" type="text" class="form-control" placeholder="Performance Qualification Protocol No.:">
                        @if ($errors->has('performance_qualification_protocol_no'))
                            <div class="text-danger">{{ $errors->first('performance_qualification_protocol_no') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Equipment ID</label>
                        <input required name="equipment_id" value="{{ old('equipment_id') }}" type="text" class="form-control" placeholder="Equipment ID">
                        @if ($errors->has('equipment_id'))
                            <div class="text-danger">{{ $errors->first('equipment_id') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Equipment /System/Utility:</label>
                        <input required name="equipment_system_utility" value="{{ old('equipment_system_utility') }}" type="text" class="form-control" placeholder="Equipment /System/Utility:">
                        @if ($errors->has('equipment_system_utility'))
                            <div class="text-danger">{{ $errors->first('equipment_system_utility') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Use/purpose:</label>
                        <input required name="use_purpose" value="{{ old('use_purpose') }}" type="text" class="form-control" placeholder="Use/purpose:">
                        @if ($errors->has('use_purpose'))
                            <div class="text-danger">{{ $errors->first('use_purpose') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Make/Model:</label>
                        <input required name="make_model" value="{{ old('make_model') }}" type="text" class="form-control" placeholder="Make/Model:">
                        @if ($errors->has('make_model'))
                            <div class="text-danger">{{ $errors->first('make_model') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Location:</label>
                        <input required name="location" value="{{ old('location') }}" type="text" class="form-control" placeholder="Location:">
                        @if ($errors->has('location'))
                            <div class="text-danger">{{ $errors->first('location') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Name of Test(s):</label>
                        <input required name="name_of_test" value="{{ old('name_of_test') }}" type="text" class="form-control" placeholder="Name of Test(s):">
                        @if ($errors->has('name_of_test'))
                            <div class="text-danger">{{ $errors->first('name_of_test') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Performance Qualification Test Date:</label>
                        <input required name="performance_qualification_test_date" value="{{ old('performance_qualification_test_date') }}" type="date" class="form-control" placeholder="Performance Qualification Test Date:">
                        @if ($errors->has('performance_qualification_test_date'))
                            <div class="text-danger">{{ $errors->first('performance_qualification_test_date') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Next Due Date : </label>
                        <input required name="next_due_date" value="{{ old('next_due_date') }}" type="date" class="form-control" placeholder="Next Due Date : ">
                        @if ($errors->has('next_due_date'))
                            <div class="text-danger">{{ $errors->first('next_due_date') }}</div>
                        @endif
                    </div>
                    <div class="form-group col-md-4">
                        <label for="">Validated By</label>
                        <input required name="validated_by" value="{{ old('validated_by') }}" type="text" class="form-control" placeholder="Validated By">
                        @if ($errors->has('validated_by'))
                            <div class="text-danger">{{ $errors->first('validated_by') }}</div>
                        @endif
                    </div>
                    {{-- <div class="form-group col-md-4">
                        <label for="">Signature:</label>
                        <input required name="signature" value="{{ old('signature') }}" type="text" class="form-control" placeholder="Signature:">
                        @if ($errors->has('signature'))
                            <div class="text-danger">{{ $errors->first('signature') }}</div>
                        @endif
                    </div> --}}
                    <div class="form-group col-md-12">
                        <button type="submit" class="btn btn-primary float-right loaderbtn">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
