@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-11">
                            <h4>VALIDATION CERTIFICATE</h4>
                        </div>
                        <div class="col-md-1">
                            {{-- <form action="">
                                <input type="number" min="1900" max="2099" step="1" value="{{request()->year??date('Y')}}" name="year" />
                                <input type="submit" value="Submit">
                            </form>
                            @if (!empty(request()->year))
                                <a title="Reset Filter" href="{{ route('admin_performance_quality_certificate_index') }}"
                                    class="btn btn-danger">Reset Filter</a>
                            @endif --}}

                            @can('validation create')

                                <a href="{{ route('admin_performance_quality_certificate_store') }}" class="btn btn-primary"><i
                                        class="fas fa-plus"></i></a>
                            @endcan
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-9"></div>
                        <div class="col-md-3">
                            <form action="">
                                <div class="form-group">
                                    <div class="input-group">
                                        <input type="number" min="1900" max="2099" step="1"
                                            value="{{ request()->year ?? date('Y') }}" class="form-control" name="year"/>

                                        <div class="input-group-append">
                                            <input type="submit" value="Search" class="btn btn-primary">
                                        </div>
                                    </div>
                                </div>
                            </form>
                            @if (!empty(request()->year))
                                <a title="Reset Filter" href="{{ route('admin_performance_quality_certificate_index') }}"
                                    class="btn btn-danger">Reset Filter</a>
                            @endif
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover" id="save-stage2" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>User Id</th>
                                        <th>Performance Qualification Protocol No</th>
                                        <th>Equipment ID</th>
                                        <th>Equipment /System/Utility</th>
                                        {{-- <th>Use/purpose</th> --}}
                                        {{-- <th>Make/Model</th> --}}
                                        {{-- <th>Location</th> --}}
                                        {{-- <th>Name of Test(s)</th> --}}
                                        <th>Performance Qualification Test Date</th>
                                        <th>Next Due Date</th>
                                        {{-- <th>Validated By</th> --}}
                                        {{-- <th>Signature</th> --}}
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                @forelse ($performanceQualityCertificate as $certificate)
                                    <tr>
                                         <td>
                                    @if(isset($certificate->user->label_id))
                                    {{$certificate->user->label_id}}
                                    @endif
                                    </td>
                                        <td>{{ $certificate->performance_qualification_protocol_no }}</td>
                                        <td>{{ $certificate->equipment_id }}</td>
                                        <td>{{ $certificate->equipment_system_utility }}</td>
                                        {{-- <td>{{ $certificate->use_purpose }}</td> --}}
                                        {{-- <td>{{ $certificate->make_model }}</td> --}}
                                        {{-- <td>{{ $certificate->location }}</td> --}}
                                        {{-- <td>{{ $certificate->name_of_test }}</td> --}}
                                        <td>{{ $certificate->performance_qualification_test_date }}</td>
                                        <td>{{ $certificate->next_due_date }}</td>
                                        {{-- <td>{{ $certificate->validated_by }}</td> --}}
                                        {{-- <td>{{$certificate->signature}}</td> --}}
                                        <td>
                                            {{-- <div class="row">
                                                <div class="col-md-2"> --}}
                                                @can('validation show')

                                                    <a title="Download PDF"
                                                        href="{{ route('pq.pdf.download', ['id' => $certificate->id]) }}"
                                                        class="btn btn-primary"><i class="fas fa-download"></i></a> |
@endcan
                                                {{-- </div>
                                                <div class="col-md-4"> --}}
                                                @can('validation show')

                                                    <a title="View PDF"
                                                        href="{{ route('admin_pdf_performance_qualification_certificate', ['id' => $certificate->id]) }}"
                                                        class="btn btn-info"><i class="fas fa-eye"></i></a> |
                                                @endcan

                                                        {{-- </div>
                                                <div class="col-md-4"> --}}
                                                @can('validation edit')

                                                    <a href="{{ route('admin_performance_quality_certificate_update', ['id' => $certificate->id]) }}"
                                                        class="btn btn-primary"><i class="fas fa-edit"></i></a> |
                                                @endcan
                                                        {{-- </div>
                                                <div class="col-md-4"> --}}
                                                @can('validation delete')

                                                    <a onclick="return confirm('Sure Want To Delete?')"
                                                        href="{{ route('admin_performance_quality_certificate_delete', ['id' => $certificate->id]) }}"
                                                        class="btn btn-danger"><i class="fas fa-trash"></i></a>
                                                @endcan
                                                        {{-- </div>
                                            </div> --}}
                                        </td>
                                    </tr>
                                @empty
                                @endforelse

                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
    <script>
        $(document).ready(function() {
            $('#save-stage2').DataTable({
                "scrollX": true,
                "lengthMenu": [
                    [100, 500, 1000],
                    [100, 500, 1000]
                ],
                // order: [[0, 'asc']],
                columnDefs: [{
                    type: 'natural',
                    targets: 0
                }]
            });
        });
    </script>
@endpush
