@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>VALIDATION CERTIFICATE EXPIRY</h4>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover" id="save-stage2" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>User Id</th>
                                        <th>Performance Qualification Protocol No</th>
                                        <th>Equipment ID</th>
                                        <th>Equipment /System/Utility</th>
                                        {{-- <th>Use/purpose</th>
                                        <th>Make/Model</th>
                                        <th>Location</th> --}}
                                        <th>Name of Test(s)</th>
                                        <th>Performance Qualification Test Date</th>
                                        <th>Next Due Date</th>
                                        {{-- <th>Validated By</th> --}}
                                        {{-- <th>Signature</th> --}}
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                @forelse ($performanceQualityCertificate as $certificate)
                                <tr>
                                    <td>
                                    @if(isset($certificate->user->label_id))
                                    {{$certificate->user->label_id}}
                                    @endif
                                    </td>
                                    <td>{{$certificate->performance_qualification_protocol_no}}</td>
                                    <td>{{$certificate->equipment_id}}</td>
                                    <td>{{$certificate->equipment_system_utility}}</td>
                                    {{-- <td>{{$certificate->use_purpose}}</td> --}}
                                    {{-- <td>{{$certificate->make_model}}</td> --}}
                                    {{-- <td>{{$certificate->location}}</td> --}}
                                    <td>{{$certificate->name_of_test}}</td>
                                    <td>{{$certificate->performance_qualification_test_date}}</td>
                                    <td>{{$certificate->next_due_date}}</td>
                                    {{-- <td>{{$certificate->validated_by}}</td> --}}
                                    {{-- <td>{{$certificate->signature}}</td> --}}
                                    <td>
                                        <div class="row">
                                            <div class="col-md-2">
                                                <a title="Renew"
                                                    href="{{ route('pqc_expires.edit', ['pqc_expire' => $certificate->id]) }}"
                                                    class="btn btn-primary"><i class="fas fa-clone"></i></a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>    
                                @empty
                                    
                                @endforelse
                                
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
<script>

$(document).ready(function() {
$('#save-stage2').DataTable( {
    "scrollX": true,

"lengthMenu": [[100,500,1000], [100,500,1000]],
// order: [[0, 'asc']],
columnDefs: [
   { type: 'natural', targets: 0 }
 ]
} );
} );
   
</script>
@endpush