@php
use App\Models\Customer;
$customers = Customer::all();
$date_from_picker = empty(request()->date_from) ? now()->format('Y-m-d') : request()->date_from;
$date_to_picker = empty(request()->date_to) ? now()->format('Y-m-d') : request()->date_to;
@endphp
@extends('layout.master')
@section('content')
    <div class="section-body">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header row">
                        <div class="col-md-10">
                            <h4>QR Code Tag Generator</h4>
                        </div>
                        <div class="col-md-2 d-flex justify-content-end">


                        </div>
                    </div>
                    <form method="POST" action="{{ route('qrcode.store') }}">
                        @csrf
                       
                        <div class="form-group row">
                            <label for="calibration_date" class="col-sm-2 col-form-label" style="padding-left: 25px;">Date of Calibration:</label>
                            <div class="col-sm-6">
                               
                               <select name="label_id" id="label_id" class="form-control">

                                <option value="">Select Label</option>
                                @foreach ($labels as $label)
                               
                                    <option value="{{$label->id}}" {{ $qr->label_id==$label->id ? 'selected' : '' }} }}>{{ $label->label_id }}</option>
                                @endforeach
                               </select>
                            </div>
                        </div>


                        <div class="form-group row">
                            <label for="calibration_date" class="col-sm-2 col-form-label" style="padding-left: 25px;">Date of Calibration:</label>
                            <div class="col-sm-6">
                                <input type="date" name="calibration_date" style="width: 30%;" value="{{ $qr->calibration_date }}" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="recalibration_date" class="col-sm-2 col-form-label" style="padding-left: 25px;">Date of Recalibration:</label>
                            <div class="col-sm-6">
                                <input type="date" name="recalibration_date" style="width: 30%;" value="{{ $qr->recalibration_date }}" required>
                            </div>
                        </div>
                
                        <div class="form-group row">
                            <label for="equipment_name" class="col-sm-2 col-form-label" style="padding-left: 25px;">Equipment Name:</label>
                            <div class="col-sm-10" style="width: 100%;">
                                <input type="text" name="equipment_name" style="width: 50%;" value="{{ $qr->equipment_name}}" required>
                            </div>
                        </div>
                
                        <div class="form-group row">
                            <label for="serial_number" class="col-sm-2 col-form-label" style="padding-left: 25px;">ID No:</label>
                            <div class="col-sm-10" style="width: 100%;">
                                <input type="text" name="serial_number" style="width: 50%;" value="{{ $qr->serial_number }}" required>
                            </div>
                        </div>
                
                       
                        
                        <div class="form-group row">
                            <div class="col-sm-6 text-left" style="padding-left: 25px;">
                              <button type="submit" class="btn btn-primary">Save</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection