
@extends('layout.master')
@section('content')
<div class="content-wrapper">
<section class="content">
        <div class="container-fluid">
            <div class="row">


{{ Form::model($role, ['route' => ['role.update', $role->id], 'method' => 'PUT']) }}
<div class="modal-body">
    <div class="row">
        <div class="form-group">
            {{ Form::label('name', __('Name'), ['class' => 'form-label']) }}
            @if ($role->name == 'employee')
                <p class="form-control">{{ $role->name }}</p>
            @else
                <div class="form-icon-user">
                    {{ Form::text('name', null, ['class' => 'form-control', 'placeholder' => __('Enter Role Name')]) }}
                </div>
            @endif
            @error('name')
                <span class="invalid-name" role="alert">
                    <strong class="text-danger">{{ $message }}</strong>
                </span>
            @enderror
        </div>

        <div class="form-group">
            @if (!empty($permissions))
                <h6 class="m-5">{{ __('Assign Permission to Roles') }} </h6>
                <table class="table table-bordered" id="dataTable-1">
                    <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="align-middle checkbox_middle form-check-input"
                                    name="checkall" id="checkall">
                            </th>
                            <th>{{ __('Module') }} </th>
                            <th>{{ __('Permissions') }} </th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                        $modules = [
                                    'user',
                                    'role',
                                    'basicoperation',
                                    'master',
                                    'calibration',
                                    'validation',
                                    'qrcode',
                                    'note',
                                    
                                ];
                            if (Auth::user()->type == 'super admin') {
                                $modules[] = 'Language';
                            }
                        @endphp
                        @foreach ($modules as $module)
                            <tr>
                                <td><input type="checkbox" class="align-middle ischeck  form-check-input"
                                        name="checkall" data-id="{{ str_replace(' ', '', $module) }}"></td>
                                <td><label class="ischeck"
                                        data-id="{{ str_replace(' ', '', $module) }}">{{ ucfirst($module) }}</label>
                                </td>
                                <td>
                                    <div class="row">

                                        @if (in_array($module . ' digiList', (array) $permissions))
                                                @if ($key = array_search($module . ' digiList', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'digiList', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                        @if (in_array($module . ' vecList', (array) $permissions))
                                                @if ($key = array_search($module . ' vecList', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'vecList', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                        @if (in_array($module . ' list', (array) $permissions))
                                                @if ($key = array_search($module . ' list', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'List', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif

                                        @if (in_array($module . ' create', (array) $permissions))
                                                @if ($key = array_search($module . ' create', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'create', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                        @if (in_array($module . ' edit', (array) $permissions))
                                                @if ($key = array_search($module . ' edit', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'edit', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                        @if (in_array($module . ' show', (array) $permissions))
                                                @if ($key = array_search($module . ' show', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'show', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                        @if (in_array($module . ' delete', (array) $permissions))
                                                @if ($key = array_search($module . ' delete', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'delete', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                        @if (in_array($module . ' expirelock', (array) $permissions))
                                                @if ($key = array_search($module . ' expirelock', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'expirelock', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                       
                                        @if (in_array($module . ' ownnotes', (array) $permissions))
                                                @if ($key = array_search($module . ' ownnotes', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'ownnotes', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif
                                       
                                        @if (in_array($module . ' allnotes', (array) $permissions))
                                                @if ($key = array_search($module . ' allnotes', $permissions))
                                                    <div class="col-md-3 custom-control custom-checkbox">
                                                        {{ Form::checkbox('permissions[]', $key, $role->permission, ['class' => 'form-check-input isscheck isscheck_' . str_replace(' ', '', $module), 'id' => 'permission' . $key]) }}
                                                        {{ Form::label('permission' . $key, 'allnotes', ['class' => 'form-label font-weight-500']) }}<br>
                                                    </div>
                                                @endif
                                        @endif

                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            @endif
            <div class="modal-footer">
    <button type="button" class="btn  btn-danger" data-bs-dismiss="modal">{{ __('Cancel') }}</button>
    <input type="submit" value="{{ __('Update') }}" class="bbtn">
</div>
        </div>
        
    </div>
</div>

{{ Form::close() }}





</div>
</div>
</section>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>

<script>
    $(document).ready(function() {
        $("#checkall").click(function() {
            $('input:checkbox').not(this).prop('checked', this.checked);
        });
        $(".ischeck").click(function() {
            var ischeck = $(this).data('id');
            $('.isscheck_' + ischeck).prop('checked', this.checked);
        });
    });
</script>


@endsection
