@extends('layout.master')
@section('content')

<style>
    tr{
        border-bottom: 1px solid #00882b;
    }
</style>

<div class="content-wrapper">
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <a href="{{ route('role.create') }}" class="btn mb-3" style="padding: 10px 20px; background-color: #28a745; color: #fff; border: none; border-radius: 4px; font-size: 14px;">
                    <i class="fa fa-plus"></i> {{ __('Create New Role') }}
                </a>



                <div class="col-12">
                    <div class="card">
                        <div class="card-header card-body table-border-style">
                            {{-- <h5></h5> --}}
                            <div class="table-responsive">
                                <table class="table" id="pc-dt-simple">
                                    <thead>
                                        <tr>
                                            <th>{{ __('Role') }}</th>
                                            <th>{{ __('Permissions') }}</th>
                                            <th width="200px">{{ __('Action') }}</th>
                                        </tr>
                                    </thead>



                                    <tbody>
                                        @foreach ($roles as $role)
                                                                            <tr>
                                                                                <td>{{ $role->name }}</td>
                                                                                <td style="white-space: inherit">
    @php
        $counter = 0; 
    @endphp

    @foreach ($role->permissions()->pluck('name') as $permission)
        @if ($counter % 3 === 0 && $counter !== 0)
            </div>
            <div class="d-block"> 
        @elseif ($counter === 0)
            <div class="d-block">
        @endif

        <span class="badge rounded p-2 m-1 px-3 bbtn">
    <a href="#" 
       style="font-family: 'Courier New', monospace; font-weight: 700; background-color: #00882b; color: #fff; text-decoration: none; padding: 10px 10px; display: inline-block; border-radius: 5px;">
        {{ $permission }}
    </a>
</span>


        @php
            $counter++;
        @endphp

        @if ($loop->last)
            </div>
        @endif
    @endforeach
</td>

                                                                                <td class="Action">

                                                                                    @can('role edit')

                                                                                        <a href="{{ URL::to('admin/role/' . $role->id . '/edit')}}"
                                                                                            class="mx-3 btn btn-warning "><i
                                                                                                class="fa fa-edit text-white"></i></a>

                                                                                    @endcan

                                                                                    @can('role delete')

                                                                                                                                {!! Form::open([
                                                                                            'method' => 'DELETE',
                                                                                            'route' =>
                                                                                                ['role.destroy', $role->id],
                                                                                            'id' => 'delete-form-' .
                                                                                                $role->id
                                                                                        ]) !!}
                                                                                                                                <a href="#" class="mx-3 btn btn-danger "><i
                                                                                                                                        class="fa fa-trash text-white text-white"></i></a>
                                                                                                                                </form>

                                                                                    @endcan

                                                                                </td>
                                                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>
</div>
@endsection

@push('scripts')
    <script>

        $(document).ready(function () {
            $('#save-stage2').DataTable({
                "lengthMenu": [[100, 500, 1000], [100, 500, 1000]]
            });
        });

    </script>
@endpush