@extends('layout.master')

@section('content')
<div class="container">
    <h1>Edit User</h1>
    <form action="{{ route('user.update', $user->id) }}" method="POST">
        @csrf
        @method('PUT') <!-- This method is used to send a PUT request, typically used for updates -->
        
        <div class="row">
            <div class="col-md-6">
                <label for="fname" class="form-label">First Name</label>
                <input type="text" class="form-control" id="fname" name="fname" value="{{ old('fname', $user->fname) }}" required>
            </div>
            <div class="col-md-6">
                <label for="lname" class="form-label">Last Name</label>
                <input type="text" class="form-control" id="lname" name="lname" value="{{ old('lname', $user->lname) }}" required>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <label for="email" class="form-label">Email</label>
                <input type="email" class="form-control" id="email" name="email" value="{{ old('email', $user->email) }}" required>
            </div>
            <div class="col-md-6">
                <label for="password" class="form-label">Password</label>
                <input type="password" class="form-control" id="password" name="password">
                <small class="text-muted">Leave blank if you don't want to change the password</small>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <label for="user_type" class="form-label">User Type</label>
                <select class="form-control" id="user_type" name="user_type" required>
                    <option value="">Select Option</option>
                    @foreach($role as $rol)
                        <option value="{{ $rol->name }}" {{ old('user_type', $user->user_type) == $rol->name ? 'selected' : '' }}>{{ $rol->name }}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-md-6">
                <label for="phone" class="form-label">Phone</label>
                <input type="text" class="form-control" id="phone" name="phone" value="{{ old('phone', $user->phone) }}" required>
            </div>
        </div>

        <button type="submit" class="btn btn-primary">Update</button>
    </form>
</div>
@endsection
