<!doctype html>
<html lang="en">

<head>
    <title>MICROVAL | LOGIN</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css"/>
    <link rel="stylesheet" href="<?php echo e(asset('./assets/css/login.css')); ?>" />
    <link rel='shortcut icon' type='image/x-icon' href="<?php echo e(asset('./assets/img/microval.png')); ?>" />

</head>

<body>
    <section class="ftco-section">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12 col-lg-10">
                    <div class="wrap d-md-flex">
                        <div class="img" style="background-image: url(/assets/img/microval.png);">
                        </div>
                        <div class="login-wrap p-4 p-md-5">
                            <div class="d-flex">
                                <div class="w-100">
                                    <h3 class="mb-4">Sign In</h3>
                                </div>
                            </div>
                            <form action="<?php echo e(route('admin_login_process')); ?>" class="signin-form" method="POST">
                                <?php echo csrf_field(); ?>
                                <div class="form-group mb-3">
                                    <label class="label" for="name">Email</label>
                                    <input type="email" class="form-control" placeholder="Email" name="email" value="<?php echo e(old('email')); ?>" required>
                                    <?php if($errors->has('email')): ?>
                                        <div class="text-danger"><?php echo e($errors->first('email')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="form-group mb-3">
                                    <label class="label" for="password">Password</label>
                                    <input type="password" class="form-control" placeholder="Password" name="password" 
                                        required>
                                    <?php if($errors->has('password')): ?>
                                        <div class="text-danger"><?php echo e($errors->first('password')); ?></div>
                                    <?php endif; ?>
                                </div>
                                <div class="form-group">
                                    <button type="submit" class="form-control btn btn-primary rounded submit px-3">Sign
                                        In</button>
                                </div>
                                
                            </form>
                            <!--<p class="text-center">Powered By <a href="https://www.atechsight.com/" target="blank">ATechSight | The Digtal Relation</a></p>-->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <script src="//cdn.bootcss.com/jquery/2.2.4/jquery.min.js"></script>
    
    <script src="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <script src="<?php echo e(asset('assets\js\bootstrap.js')); ?>"></script>
</body>

</html>
<?php /**PATH /home/developerma/public_html/microval/resources/views/auth/login.blade.php ENDPATH**/ ?>