<?php $__env->startSection('content'); ?>

<div class="container">
    <h1>User List</h1>
    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user create')): ?>
        <a href="<?php echo e(route('user.create')); ?>" class="btn btn-primary mb-3">Create User</a>
    <?php endif; ?>
    <?php if(session('success')): ?>
        <div class="alert alert-success"><?php echo e(session('success')); ?></div>
    <?php endif; ?>
    <table class="table table-bordered">
        <thead>
            <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Email</th>
                <th>User Type</th>
                <th>Phone</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                <td><?php echo e($user->id); ?> </td>
                <td><?php echo e($user->fname); ?> <?php echo e($user->lname); ?></td>
                <td><?php echo e($user->email); ?></td>
                    <td><?php echo e($user->user_type); ?></td>
                    <td><?php echo e($user->phone); ?></td>
                    <td>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user edit')): ?>
                            <a href="<?php echo e(route('user.edit', $user->id)); ?>" class="btn btn-warning">Edit</a>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user delete')): ?>

                        <form  id="delete-form-<?php echo e($user->id); ?>" action="<?php echo e(route('user.destroy', $user->id)); ?>" method="POST" style="display: inline-block;">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('DELETE'); ?>
                            <button
                                                        type="button"
                                                        class="btn  btn-danger"
                                                        onclick="confirmDelete(<?php echo e($user->id); ?>)"
                                                    >
                                                        Delete
                                                    </button>
                        </form>
                        <?php endif; ?>

                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script>
    function confirmDelete(noteId) {
        Swal.fire({
            title: "Are you sure?",
            text: "This action cannot be undone!",
            icon: "warning",
            showCancelButton: true,
            confirmButtonColor: "#d33",
            cancelButtonColor: "#3085d6",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "Cancel",
        }).then((result) => {
            if (result.isConfirmed) {
                // Submit the form
                document.getElementById("delete-form-" + noteId).submit();
            }
        });
    }
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/developerma/public_html/microval/resources/views/page/user/index.blade.php ENDPATH**/ ?>