 <?php $__env->startSection('content'); ?>
<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />

<style>
    .table-responsive {
        overflow-x: visible !important;
    }

    .table-responsive>nav>.flex {
        display: flex !important;
        justify-content: center !important;
        /* Center align the pagination */
        margin-bottom: 20px !important;
        /* Add bottom margin */
    }

    .table-responsive>nav>.flex>span,
    .table-responsive>nav>.flex>a {
        background: #007bff !important;
        display: none !important;
    }

    .hidden>div>p {
        color: black !important;
    }

    .leading-5>svg {
        width: 20px !important;
        color: #007bff !important;
    }

    .leading-5 {
        color: #007bff !important;
    }

    th,
    td {
        border: 1px solid #ddd;
        padding: 8px;
    }

    th {
        background-color: #f2f2f2;
        color: #333;
        text-align: left;
    }

    #delete-button {
        display: none;
        /* Initially hide the delete button */
    }

    nav>.flex {
        display: none !important;
    }
</style>

<div class="section-body">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header row">
                    <div class="d-flex justify-content-between align-items-center col-md-12 w-100">
                        <div>
                            <h4 class="m-0 p-0">All Notes</h4>
                        </div>

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('note create')): ?>

                            <div>
                                <a href="<?php echo e(route('note.create')); ?>" class="btn btn-primary" style="
                                        display: inline-block;
                                        text-wrap: nowrap;
                                        padding: 10px 20px;
                                        background-color: #007bff;
                                        color: #fff;
                                        text-decoration: none;
                                        border-radius: 4px;
                                        font-size: 16px;
                                        font-weight: bold;
                                        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); ">
                                    <i class="fas fa-plus" style="margin-right: 5px"></i>
                                    Create Note
                                </a>
                            </div>

                        <?php endif; ?>

                    </div>
                    <?php if(Auth::user()->user_type == 'admin'): ?>
                        <form method="POST" action="<?php echo e(route('updateTime')); ?>" style="
                                width: 350px;
                                padding: 20px;
                                border: 1px solid #ddd;
                                border-radius: 8px;
                                background-color: #f9f9f9;
                                box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
                            ">
                            <?php echo csrf_field(); ?>

                            <p style="
                                    font-size: 14px;
                                    color: #555;
                                    margin-bottom: 10px;
                                    text-align: center;
                                ">
                                Use 24-hour format
                            </p>

                            <div class="form-group" style="margin-bottom: 15px">
                                <label for="start" style="
                                        display: block;
                                        font-size: 14px;
                                        color: #333;
                                        margin-bottom: 5px;
                                    ">
                                    Start Time
                                </label>
                                <input type="number" name="start" id="start" class="form-control"
                                    value="<?php echo e($noteTime->start ?? ''); ?>" style="
                                        width: 100%;
                                        padding: 10px;
                                        border: 1px solid #ccc;
                                        border-radius: 4px;
                                        font-size: 14px;
                                    " required />
                            </div>
                            <div class="form-group">
                                <label for="end" style="
                                        display: block;
                                        font-size: 14px;
                                        color: #333;
                                        margin-bottom: 5px;
                                    ">
                                    End Time
                                </label>
                                <input type="number" name="end" id="end" class="form-control"
                                    value="<?php echo e($noteTime->end ?? ''); ?>" style="
                                        width: 100%;
                                        padding: 10px;
                                        border: 1px solid #ccc;
                                        border-radius: 4px;
                                        font-size: 14px;
                                    " required />
                            </div>
                            <button type="submit" class="btn btn-primary mt-3" style="
                                    width: 100%;
                                    padding: 10px;
                                    background-color: #007bff;
                                    color: #fff;
                                    border: none;
                                    border-radius: 4px;
                                    font-size: 14px;
                                    cursor: pointer;
                                ">
                                Save
                            </button>
                        </form>
                    <?php endif; ?>
                    <br />

                    <!-- <div class="col-md-6 d-flex align-items-center justify-content-end">
                        <input type="checkbox" id="expire" onchange="javascript:getExpire();">
                        <label for="expire" style="margin-left: 10px;margin-top:10px;"><b>Expired</b></label>
                    </div> -->
                </div>
                <div class="card-body">
                    <div class="table-responsive mb-5" id="">

                        <table class="table table-striped border border-collapse" style="width: 100%">
                            <thead>
                                <tr>
                                    <th class="wd-20p">
                                        <input type="checkbox" name="checkall" id="checkall" />
                                    </th>
                                    <th witdh="10%">ID</th>
                                    <th witdh="10%">User Name</th>
                                    <th witdh="10%">Date</th>
                                    <th witdh="20%">Action</th>
                                </tr>
                            </thead>
                            <?php $__empty_1 = true; $__currentLoopData = $notes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $note): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td>
                                        <input type="checkbox" value="<?php echo e($note->id); ?>" name="id[]" class="checkbox-item" />
                                    </td>
                                    <td><?php echo e($note->id); ?></td>
                                    <td>
                                        <?php echo e($note->user->fname ?? Null); ?>

                                        <?php echo e($note->user->lname ?? Null); ?>

                                    </td>
                                    <td><?php echo e($note->created_at); ?></td>
                                    <td>
                                        <div class="row">

                                            <!-- <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('note show')): ?>
                                                    <div class="col-md-3">
                                                        <a href="<?php echo e(route('note.show',$note->id)); ?>" class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                                    </div>
                                                <?php endif; ?> -->

                                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('note delete')): ?>
                                                <div class="col-md-3">
                                                    <form action="<?php echo e(route('note.destroy', $note->id)); ?>" method="POST"
                                                        id="delete-form-<?php echo e($note->id); ?>">

                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('DELETE'); ?>
                                                        <button type="button" class="btn btn-sm btn-danger"
                                                            onclick="confirmDelete(<?php echo e($note->id); ?>)">
                                                            Delete
                                                        </button>
                                                    </form>
                                                </div>
                                            <?php endif; ?>

                                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('note edit')): ?>
                                                <?php if($note->expireNote == 0 || Auth::user()->user_type == 'admin'): ?>
                                                    <div class="col-md-3">
                                                        <a href="<?php echo e(route('note.edit', $note->id)); ?>" class="btn btn-primary"><i
                                                                class="fas fa-eye"></i></a>
                                                    </div>
                                                <?php endif; ?>
                                            <?php endif; ?>


                                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('note expirelock')): ?>
                                                <?php if($note->expireNote == 1): ?>
                                                    <div class="col-md-3">
                                                        <a href="" class="btn btn-warning">Expired<i class="fas fa-"></i></a>
                                                    </div>
                                                <?php endif; ?>
                                            <?php endif; ?>




                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?> <?php endif; ?>
                        </table>

                        <div class="d-flex justify-content-center">
                            <?php if(
                                    isset($note) && $note instanceof
                                    \Illuminate\Pagination\LengthAwarePaginator &&
                                    $note->count() > 0
                                ): ?>
                                                            <?php echo e($note->links()); ?>

                            <?php else: ?> <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?> <?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <script>
        function confirmDelete(noteId) {
            const form = document.getElementById("delete-form-" + noteId);
            if (!form) {
                console.error("Form not found for noteId:", noteId);
                return;
            }
            Swal.fire({
                title: "Are you sure?",
                text: "This action cannot be undone!",
                icon: "warning",
                showCancelButton: true,
                confirmButtonColor: "#d33",
                cancelButtonColor: "#3085d6",
                confirmButtonText: "Yes, delete it!",
                cancelButtonText: "Cancel",
            }).then((result) => {
                if (result.isConfirmed) {
                    form.submit();
                }
            });
        }
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/developerma/public_html/microval/resources/views/page/note/list.blade.php ENDPATH**/ ?>